NEOFETCH(1)

NAME
Neofetch - manual page for Neofetch 8.0.2

SYNOPSIS
neofetch func_name --option "value" --option "value"

DESCRIPTION
Neofetch is a CLI system information tool written in BASH. Neofetch displays information about your system next to an image, your OS logo, or any ASCII file of your choice.

NOTE: Every launch flag has a config option.

OPTIONS

  INFO:

func_name
    Specify a function name (second part of info() from config) to quickly display only that function's information.

    Example: neofetch uptime --uptime_shorthand tiny

    Example: neofetch uptime disk wm memory

    This can be used in bars and scripts like so:

    memory="$(neofetch memory)"; memory="${memory##*: }"

    For multiple outputs at once (each line of info in an array):

    IFS=$'\n' read -d "" -ra info < <(neofetch memory uptime wm)

    info=("${info[@]##*: }")

--disable infoname
    Allows you to disable an info line from appearing in the output. 'infoname' is the function name from the 'print_info()' function inside the config file. For example: 'info "Memory" memory' would be '--disable memory'

    NOTE: You can supply multiple args. eg. 'neofetch --disable cpu gpu'

--title_fqdn on/off
    Hide/Show Fully Qualified Domain Name in title.

--package_managers on/off
    Hide/Show Package Manager names. (on, tiny, off)

--package_separate on/off
    Whether to separate system/user modes for supported package managers

--package_minimal
    Reduce output of packages list by not showing programming language package managers or Steam games

--os_arch on/off
    Hide/Show OS architecture.

--speed_type type
    Change the type of cpu speed to display. Possible values: current, min, max, bios, scaling_current, scaling_min, scaling_max

    NOTE: This only supports Linux with cpufreq.

--speed_shorthand on/off
    Whether or not to show decimals in CPU speed.

NOTE: This flag is not supported in systems with CPU speed less than
    1 GHz.

--cpu_brand on/off
    Enable/Disable CPU brand in output.

--cpu_cores type
    Whether or not to display the number of CPU cores Possible values: logical, physical, off

    NOTE: 'physical' doesn't work on BSD.

--cpu_speed on/off
    Hide/Show cpu speed.

--cpu_temp C/F/off
    Hide/Show cpu temperature.

    NOTE: This only works on Linux and BSD.

NOTE: For FreeBSD and NetBSD-based systems, you need to enable
    coretemp kernel module. This only supports newer Intel processors.

--distro_shorthand on/off
    Shorten the output of distro (on, tiny, off)

    NOTE: This option won't work in Windows (Cygwin)

--kernel_shorthand on/off
    Shorten the output of kernel

    NOTE: This option won't work in BSDs (except PacBSD and PC-BSD)

--uptime_shorthand on/off
    Shorten the output of uptime (on, tiny, off)

--refresh_rate on/off
    Whether to display the refresh rate of each monitor Unsupported on Windows

--gpu_brand on/off
    Enable/Disable GPU brand in output. (AMD/NVIDIA/Intel)

--gpu_type type
    Which GPU to display. (all, dedicated, integrated)

    NOTE: This only supports Linux.

--de_version on/off
    Show/Hide Desktop Environment version

--gtk_shorthand on/off
    Shorten output of gtk theme/icons

--gtk2 on/off
    Enable/Disable gtk2 theme/font/icons output

--gtk3 on/off
    Enable/Disable gtk3 theme/font/icons output

--shell_path on/off
    Enable/Disable showing $SHELL path

--shell_version on/off
    Enable/Disable showing $SHELL version

--editor_path on/off
    Enable/Disable showing $EDITOR path

--editor_version on/off
    Enable/Disable showing $EDITOR version

--disk_show value
    Which disks to display. Possible values: '/', '/dev/sdXX', '/path/to/mount point'

    NOTE: Multiple values can be given. (--disk_show '/' '/dev/sdc1')

--disk_subtitle type
    What information to append to the Disk subtitle. Takes: name, mount, dir, none

    'name' shows the disk's name (sda1, sda2, etc)

    'mount' shows the disk's mount point (/, /mnt/Local Disk, etc)

    'dir' shows the basename of the disks's path. (/, Local Disk, etc)

    'none' shows only 'Disk' or the configured title.

--disk_percent on/off
    Hide/Show disk percent.

--ip_host url
    URL to query for public IP

--ip_timeout int
    Public IP timeout (in seconds).

--ip_interface value
    Interface(s) to use for local IP

--song_format format
    Print the song data in a specific format (see config file).

--song_shorthand on/off
    Print the Artist/Album/Title on separate lines.

--memory_percent on/off
    Display memory percentage.

--memory_unit (k/m/g/t)ib
    Memory output unit.

--memory_precision integer
    Change memory output precision. (???0, default=2)

--music_player player-name
    Manually specify a player to use. Available values are listed in the config file

  TEXT FORMATTING:

--colors x x x x x x
    Changes the text colors in this order: title, @, underline, subtitle, colon, info

--underline on/off
    Enable/Disable the underline.

--underline_char char
    Character to use when underlining title

--bold on/off
    Enable/Disable bold text

--separator string
    Changes the default ':' separator to the specified string.

  COLOR BLOCKS:

--color_blocks on/off
    Enable/Disable the color blocks

--col_offset auto/num
    Left-padding of color blocks

--block_width num
    Width of color blocks in spaces

--block_height num
    Height of color blocks in lines

--block_range num num
    Range of colors to print as blocks

  BARS:

--bar_char 'elapsed char' 'total char'
    Characters to use when drawing bars.

--bar_border on/off
    Whether or not to surround the bar with '[]'

--bar_length num
    Length in spaces to make the bars.

--bar_colors num num
    Colors to make the bar. Set in this order: elapsed, total

--memory_display mode
    Bar mode. Possible values: bar, infobar, barinfo, off

--battery_display mode
    Bar mode. Possible values: bar, infobar, barinfo, off

--disk_display mode
    Bar mode. Possible values: bar, infobar, barinfo, off

  IMAGE BACKEND:

--backend backend
    Which image backend to use. Possible values: 'ascii', 'caca', 'catimg', 'chafa', 'jp2a', 'iterm2', 'off', 'sixel', 'tycat', 'w3m', 'kitty', 'viu'

--source source
    Which image or ascii file to use. Possible values: 'auto', 'ascii', 'wallpaper', '/path/to/img', '/path/to/ascii', '/path/to/dir/', 'command output' [ascii]

--ascii source
    Shortcut to use 'ascii' backend.

    NEW: neofetch --ascii "$(fortune | cowsay -W 30)"

--caca source
    Shortcut to use 'caca' backend.

--catimg source
    Shortcut to use 'catimg' backend.

--chafa source
    Shortcut to use 'chafa' backend.

--iterm2 source
    Shortcut to use 'iterm2' backend.

--jp2a source
    Shortcut to use 'jp2a' backend.

--kitty source
    Shortcut to use 'kitty' backend.

--pot source
    Shortcut to use 'pot' backend.

--pixterm source
    Shortcut to use 'pixterm' backend.

--sixel source
    Shortcut to use 'sixel' backend.

--termpix source
    Shortcut to use 'termpix' backend.

--tycat source
    Shortcut to use 'tycat' backend.

--w3m source
    Shortcut to use 'w3m' backend.

--ueberzug source
    Shortcut to use 'ueberzug' backend

--viu source
    Shortcut to use 'viu' backend

--off
    Shortcut to use 'off' backend (Disable ascii art).

    NOTE: 'source; can be any of the following: 'auto', 'ascii', 'wallpaper', '/path/to/img', '/path/to/ascii', '/path/to/dir/'

  ASCII:

--ascii_colors x x x x x x
    Colors to print the ascii art

--ascii_distro distro
    Which Distro's ascii art to print

NOTE: Ad??lie, aerOS, Afterglow, AIX, AlmaLinux, Alpine, Alter,
    Amazon, AmogOS, Anarchy, Android, Antergos, antiX, AOSC OS, Aperio GNU/Linux, Aperture, Apricity, Arch, ArchBox, Archcraft, archcraft_ascii, archcraft_minimal, ARCHlabs, ArchMerge, ArchStrike, ArcoLinux, Arkane, ArseLinux, Artix, Arya, Asahi, AsteroidOS, astOS, Astra Linux, Athena, azos, Bazzite, Bedrock, BigLinux, BigLinux_large, Bitrig, BlackArch, BlackMesa, blackPanther, BLAG, BlankOn, BlueLight, Bodhi, bonsai, BSD, BunsenLabs, CachyOS, Calculate, CalinixOS, Carbs, CBL-Mariner, CelOS, Center, CentOS, Chakra, ChaletOS, Chapeau, Chimera, ChonkySealOS, Chrom, Cleanjaro, Clear Linux OS, ClearOS, Clover, Cobalt, Condres, Container Linux by CoreOS, CRUX, Crystal Linux, Cucumber, CutefishOS, CuteOS, CyberOS, dahlia, DarkOs, Darwin, Debian, Deepin, DesaOS, Devuan, DietPi, digital UNIX, DracOS, DragonFly, Drauger, Droidian, Elementary, Elive, EncryptOS, EndeavourOS, Endless, Enso, EuroLinux, EvolutionOS, eweOS, Exherbo, Exodia Predator OS, Fedora, Fedora Kinoite, Fedora Sericea, Fedora Silverblue, Fedora_unicode, FemboyOS, Feren, Finnix, Floflis, FreeBSD, FreeMiNT, Frugalware, Funtoo, Furreto, GalliumOS, Garuda, Gentoo, GhostBSD, glaucus, Gloire, gNewSense, GNOME, GNU, GoboLinux, GrapheneOS, Grombyang, Guix, Haiku, HamoniKR, HarDClanZ, Hash, Huayra, Hybrid, HydroOS, Hyperbola, iglunix, instantOS, Interix, IRIX, Itc, januslinux, Kaisen, Kali, KaOS, KDE, Kibojoe, Kogaion, Korora, KrassOS, KSLinux, Kubuntu, LainOS, LangitKetujuh, LaxerOS, LEDE, LibreELEC, Linspire, Linux, Linux Lite, Linux Mint, Linux Mint Old, LinuxFromScratch, Live Raizo, LMDE, Lubuntu, Lunar, mac, MacaroniOS, Mageia, Magix, MagpieOS, MainsailOS, Mandriva, Manjaro, MassOS, MatuusOS, Maui, Mauna, Meowix, Mer, Minix, MIRACLE LINUX, MX, Namib, NekOS, Neptune, NetBSD, Netrunner, Nitrux, NixOS, nixos_colorful, Nobara, NomadBSD, Nurunner, NuTyX, Obarun, OBRevenge, OmniOS, Open Source Media Center, OpenBSD, openEuler, OpenIndiana, openKylin, openmamba, OpenMandriva, OpenStage, openSUSE, openSUSE Leap, openSUSE Tumbleweed, openSUSE Tumbleweed-Slowroll, OPNsense, Oracle, orchid, OS Elbrus, PacBSD, Panwah, Parabola, parch, Pardus, Parrot, Parsix, PCBSD, PCLinuxOS, pearOS, Pengwin, Pentoo, Peppermint, Peropesis, phyOS, PikaOS, Pisi, PNM Linux, Pop!_OS, Porteus, PostMarketOS, Profelis SambaBOX, Proxmox, PuffOS, Puppy, PureOS, Q4OS, Qubes, Qubyt, Quibian, Radix, Raspbian, ravynOS, Reborn OS, Red Star, Redcore, Redhat, Refracted Devuan, Regata, Regolith, RhaymOS, Rhino Linux, rocky, Rosa, Sabayon, sabotage, Sailfish, SalentOS, Salient OS, Salix, Sasanqua, Scientific, semc, Septor, Serene, SharkLinux, ShastraOS, Siduction, SkiffOS, Slackel, Slackware, SliTaz, SmartOS, Soda, Solus, Source Mage, Sparky, Star, SteamOS, Stock Linux, Sulin, SunOS, SwagArch, t2, Tails, Tatra, TeArch, TorizonCore, Trisquel, Twister, Ubuntu, Ubuntu Budgie, Ubuntu Cinnamon, Ubuntu Kylin, Ubuntu MATE, Ubuntu Studio, Ubuntu Sway, Ubuntu Touch, Ubuntu-GNOME, ubuntu_old02, Ultramarine Linux, unicodearch, Univalent, Univention, Uos, UrukOS, uwuntu, Vanilla, Venom, VNux, Void, VzLinux, wii-linuxngx, Windows, Windows 10, Windows 11, Windows95, Wrt, Xenia, Xenia2, XFerience, Xray_OS, Xubuntu, yiffOS, Zorin have ascii logos.

NOTE: arch, dragonfly, Fedora, LangitKetujuh, nixos, redhat, Ubuntu
    have 'old' logo variants, use {distro}_old to use them.

NOTE: alpine, android, arch, arcolinux, artix, CalinixOS, centos,
    cleanjaro, crux, debian, dragonfly, elementary, endeavouros, fedora, freebsd, garuda, gentoo, guix, haiku, hyperbola, kali, Linux, linuxlite, linuxmint, mac, mageia, MainsailOS, manjaro, mx, netbsd, nixos, openbsd, opensuse, orchid, parabola, popos, postmarketos, pureos, Raspbian, rocky, slackware, sunos, ubuntu, venom, void have 'small' logo variants, use {distro}_small to use them.

    NOTE: Fedora has immutable spins with unique logos (except Onyx).

NOTE: Change this to Silverblue, Kinoite, Sericea, or CoreOS to use
    the spins.

--ascii_bold on/off
    Whether or not to bold the ascii logo.

-L, --logo
    Hide the info text and only show the ascii logo.

  IMAGE:

--loop
    Redraw the image constantly until Ctrl+C is used. This fixes issues in some terminals emulators when using image mode.

--size 00px | --size 00%
    How to size the image. Possible values: auto, 00px, 00%, none

--catimg_size 1/2
    Change the resolution of catimg.

--crop_mode mode
    Which crop mode to use Takes the values: normal, fit, fill

--crop_offset value
    Change the crop offset for normal mode. Possible values: northwest, north, northeast, west, center, east, southwest, south, southeast

--xoffset px
    How close the image will be to the left edge of the window. This only works with w3m.

--yoffset px
    How close the image will be to the top edge of the window. This only works with w3m.

--bg_color color
    Background color to display behind transparent image. This only works with w3m.

--gap num
    Gap between image and text.

NOTE: --gap can take a negative value which will move the text
    closer to the left side.

--clean
    Delete cached files and thumbnails.

  OTHER:

--config /path/to/config
    Specify a path to a custom config file

--config none
    Launch the script without a config file

--no_config
    Don't create the user config file.

--print_config
    Print the default config file to stdout.

--stdout=on
    Turn off all colors and disables any ASCII/image backend.

--stdout=off
    Enable the colored output and ASCII/image backend

--stdout=auto
    Let the program decide basing on the output type (default behavior)

--stdout
    Equivalent to '--stdout=on', for backward compatibility

--help
    Print this text and exit

--version
    Show neofetch version

-v  Display error messages.

-vv Display a verbose log for error reporting.

  DEVELOPER:

--gen-man
    Generate a manpage for Neofetch in your PWD. (Requires GNU help2man)

REPORTING BUGS
Report bugs to https://github.com/dylanaraps/neofetch/issues

SEE ALSO
The full documentation for Neofetch is maintained as a Texinfo manual. If the info and Neofetch programs are properly installed at your site, the command

    info Neofetch

should give you access to the complete manual.